<interface domain="gnome-logs">
    <template class="GlWindow" parent="GtkApplicationWindow">
        <property name="default_height">580</property>
        <property name="default_width">800</property>
        <signal name="key-press-event" handler="on_gl_window_key_press_event"/>
        <child type="titlebar">
            <object class="GlEventToolbar" id="event_toolbar">
            </object>
        </child>
        <child>
            <object class="GtkBox" id="event_box">
                <property name="orientation">vertical</property>
                <property name="visible">True</property>
                <child>
                    <object class="GtkInfoBar" id="info_bar">
                        <property name="message-type">GTK_MESSAGE_ERROR</property>
                        <child>
                            <object class="GtkButtonBox" id="action_area">
                                <property name="visible">True</property>
                                <property name="orientation">horizontal</property>
                                <property name="layout_style">center</property>
                                <child>
                                    <object class="GtkButton" id="help_button">
                                        <property name="visible">True</property>
                                        <property name="halign">center</property>
                                        <property name="label" translatable="yes">Help</property>
                                        <signal name="clicked" handler="on_help_button_clicked" object="GlWindow"/>
                                    </object>
                                </child>
                                <child>
                                    <object class="GtkButton" id="ignore_button">
                                        <property name="visible">True</property>
                                        <property name="halign">center</property>
                                        <property name="label" translatable="yes">Ignore</property>
                                        <signal name="clicked" handler="on_ignore_button_clicked" object="GlWindow"/>
                                    </object>
                                </child>
                            </object>
                            <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                            </packing>
                        </child>
                    </object>
                </child>
                <child>
                    <object class="GlEventViewList" id="event_list">
                    </object>
                </child>
            </object>
        </child>
    </template>
</interface>
